import { CategoryItem } from './CategoryItem';
import { TagCategoryInfo } from '../../api';
import { Stack } from 'react-bootstrap';
import { useContext } from 'react';
import { TagCategoryContext } from '../../contexts/TagCategoryContext';

/**
 * Creates a panel in the annotation screen that contains a list of tag.
 * @returns Panel with a list of tags.
 */
export function TagPanel() {
    const { tagCategories } = useContext(TagCategoryContext);

    return (
        <div>
            <Stack gap={1}>
                {tagCategories?.map((category, index) => (
                    <CategoryItem category={category} key={index} />
                ))}
            </Stack>
        </div>
    );
}
